<?php
/*
 * WordPress filters
 * @since 1.0.0
 */

namespace CmcImages;

defined('ABSPATH') || exit;

/*
 * Check for existance of imagewebp() function, deactivate if not present.
 * Requires both of the following actions (admin_init, admin_notices).
 * @since 1.0.1
 */
add_action('admin_init', function() {
  if (!function_exists('imagewebp')) {
    @session_start();
    $_SESSION[SLUG . '-deactivation-admin-notices'] = implode('', array(
      '<div class="notice notice-error">',
      '<p>',
      esc_html(PLUGIN_NAME),
      ' deactivated.',
      '</p>',
      '<p>',
      'The Apache webserver and <a href="https://www.php.net/manual/en/image.setup.php">PHP GD</a> are required to use this plugin.',
      '</p>',
      '</div>',
    ));
  }
});
add_action('admin_notices', function() {
  @session_start();
  if (isset($_SESSION[SLUG . '-deactivation-admin-notices'])) {
    echo $_SESSION[SLUG . '-deactivation-admin-notices'];
    unset($_SESSION[SLUG . '-deactivation-admin-notices']);
    deactivate_plugins(namespace\PLUGIN_BASENAME);
  }
});


